[Lenovo ThinkPad 2015 models] Buttons of Synaptics trackpad doesn't work

Bug #1414930 reported by Gabriel Zhi Chen on 2015-01-27
124
This bug affects 20 people
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Timo Aaltonen
Linux
Fix Released
Low
libinput (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Low
Timo Aaltonen
Trusty
Undecided
Timo Aaltonen
Utopic
Undecided
Timo Aaltonen
systemd (Ubuntu)
Medium
Martin Pitt
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

Lenovo X1 3rd Carbon (201411-16196)

Steps to reproduce the bug:
1, Log in to system
2, Click left/right/middle buttons of the touchpad

Actual result:
No response after clicking the buttons

Expected results:
Buttons work as expected behavirour

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-45-generic 3.13.0-45.74 [modified: boot/vmlinuz-3.13.0-45-generic]
ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
Uname: Linux 3.13.0-45-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: u 1598 F.... pulseaudio
 /dev/snd/controlC0: u 1598 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Jan 27 02:48:23 2015
HibernationDevice: RESUME=UUID=c553e9ba-b74b-43ad-8cf2-496531261e0f
InstallationDate: Installed on 2015-01-27 (0 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20150126)
MachineType: LENOVO 20BTZ09ZUS
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-45-generic root=UUID=1d34e685-c98b-41f3-b649-87770517b194 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-45-generic N/A
 linux-backports-modules-3.13.0-45-generic N/A
 linux-firmware 1.127.11
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/27/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: N14ET24W (1.02 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BTZ09ZUS
dmi.board.vendor: LENOVO
dmi.board.version: SDK0E50510 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN14ET24W(1.02):bd10/27/2014:svnLENOVO:pn20BTZ09ZUS:pvrThinkPadX1Carbon3rd:rvnLENOVO:rn20BTZ09ZUS:rvrSDK0E50510WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20BTZ09ZUS
dmi.product.version: ThinkPad X1 Carbon 3rd
dmi.sys.vendor: LENOVO

CVE References

I received a Lenovo X1 Carbon 3rd generation today, the one with the
resurrection of the physical Trackpoint buttons. However, there is
some broken behavior related to those much loved buttons on this laptop
running an up-to-date Fedora 21.

The clickpad buttons seem to work fine, however I would like to achieve
a configuration that disables the touchpad and only use the Trackpoint
and the physical buttons as I have on all my Thinkpads in the past.
There is an option in the BIOS to disable the touchpad, but it seems to
be completely ignored under Linux; with it set to off in the BIOS, the
touchpad is still fully functional. This is likely related to the fact
that the physical buttons generate events on the touchpad's event device
(/dev/input/event4 in this case) and not for the Trackpoint's event
device (/dev/input/event12), so the device can't really be disabled.

So here are the various scenarios regarding the physical buttons and how
they are failing at the moment:

- Dragging does not work at all with the physical left button with either
the evdev or synaptics driver. Dragging with the clickpad's left button
is fine.

- Middle click does not register at all (from viewing evtest output), which
I assume means it's an issue at the kernel layer not registering the event.
Neither the physical buttons or the clickpad generate a middle click event
using either the evdev or synaptics drivers.

- With the synaptics driver, the buttons are picked up as up/down buttons.
Setting UpDownScrolling=off changes the behavior as described in the man
page (double-click/button 2). Using xinput, I can force the right-button
to behave correctly, but the left-button will not change its behavior (it
is always a double-click). This makes it unusable with the synaptics
driver.

relevant software packages:
kernel-3.17.8-300.fc21.x86_64
xorg-x11-drv-evdev-2.9.0-3.fc21.x86_64
xorg-x11-drv-synaptics-1.8.0-9.fc21.x86_64
xorg-x11-server-Xorg-1.16.2.901-1.fc21.x86_64

Download full text (6.1 KiB)

Here is the evemu-record output. The BTN_0 and BTN_1 events are from the left and right physical buttons. The BTN_LEFT events are from the clickpad. No events are generated using the middle physical button.

[root@x1 ~]# evemu-record
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Sleep Button
/dev/input/event2: Power Button
/dev/input/event3: AT Translated Set 2 keyboard
/dev/input/event4: Video Bus
/dev/input/event5: SynPS/2 Synaptics TouchPad
/dev/input/event6: Integrated Camera
/dev/input/event7: HDA Intel HDMI HDMI/DP,pcm=3
/dev/input/event8: HDA Intel HDMI HDMI/DP,pcm=7
/dev/input/event9: HDA Intel HDMI HDMI/DP,pcm=8
/dev/input/event10: HDA Intel PCH Mic
/dev/input/event11: HDA Intel PCH Headphone
/dev/input/event12: TPPS/2 IBM TrackPoint
Select the device event number [0-12]: 5
# EVEMU 1.2
# Input device name: "SynPS/2 Synaptics TouchPad"
# Input device ID: bus 0x11 vendor 0x02 product 0x07 version 0x1b1
# Supported events:
# Event type 0 (EV_SYN)
# Event code 0 (SYN_REPORT)
# Event code 1 (SYN_CONFIG)
# Event code 2 (SYN_MT_REPORT)
# Event code 3 (SYN_DROPPED)
# Event code 4 ((null))
# Event code 5 ((null))
# Event code 6 ((null))
# Event code 7 ((null))
# Event code 8 ((null))
# Event code 9 ((null))
# Event code 10 ((null))
# Event code 11 ((null))
# Event code 12 ((null))
# Event code 13 ((null))
# Event code 14 ((null))
# Event type 1 (EV_KEY)
# Event code 256 (BTN_0)
# Event code 257 (BTN_1)
# Event code 258 (BTN_2)
# Event code 272 (BTN_LEFT)
# Event code 325 (BTN_TOOL_FINGER)
# Event code 328 (BTN_TOOL_QUINTTAP)
# Event code 330 (BTN_TOUCH)
# Event code 333 (BTN_TOOL_DOUBLETAP)
# Event code 334 (BTN_TOOL_TRIPLETAP)
# Event code 335 (BTN_TOOL_QUADTAP)
# Event type 3 (EV_ABS)
# Event code 0 (ABS_X)
# Value 1607
# Min 1266
# Max 5676
# Fuzz 0
# Flat 0
# Resolution 45
# Event code 1 (ABS_Y)
# Value 2032
# Min 1096
# Max 4758
# Fuzz 0
# Flat 0
# Resolution 68
# Event code 24 (ABS_PRESSURE)
# Value 0
# Min 0
# Max 255
# Fuzz 0
# Flat 0
# Resolution 0
# Event code 28 (ABS_TOOL_WIDTH)
# Value 0
# Min 0
# Max 15
# Fuzz 0
# Flat 0
# Resolution 0
# Event code 47 (ABS_MT_SLOT)
# Value 0
# Min 0
# Max 1
# Fuzz 0
# Flat 0
# Resolution 0
# Event code 53 (ABS_MT_POSITION_X)
# Value 0
# Min 1266
# Max 5676
# Fuzz 0
# Flat 0
# Resolution 45
# Event code 54 (ABS_MT_POSITION_Y)
# Value 0
# Min 1096
# Max 4758
# Fuzz 0
# Flat 0
# Resolution 68
# Event code 57 (ABS_MT_TRACKING_ID)
# Value 0
# Min 0
# Max 65535
# Fuzz 0
# Flat 0
# Resolution 0
# Event code 58 (ABS_MT_PRESSURE)
# Value 0
#...

Read more...

Download full text (5.1 KiB)

And here is the evemu-record log for the TrackPoint device itself. The physical buttons do not register any events, just the pointing device itself.

[root@x1 ~]# evemu-record
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Sleep Button
/dev/input/event2: Power Button
/dev/input/event3: AT Translated Set 2 keyboard
/dev/input/event4: Video Bus
/dev/input/event5: SynPS/2 Synaptics TouchPad
/dev/input/event6: Integrated Camera
/dev/input/event7: HDA Intel HDMI HDMI/DP,pcm=3
/dev/input/event8: HDA Intel HDMI HDMI/DP,pcm=7
/dev/input/event9: HDA Intel HDMI HDMI/DP,pcm=8
/dev/input/event10: HDA Intel PCH Mic
/dev/input/event11: HDA Intel PCH Headphone
/dev/input/event12: TPPS/2 IBM TrackPoint
Select the device event number [0-12]: 12
# EVEMU 1.2
# Input device name: "TPPS/2 IBM TrackPoint"
# Input device ID: bus 0x11 vendor 0x02 product 0x0a version 0000
# Supported events:
# Event type 0 (EV_SYN)
# Event code 0 (SYN_REPORT)
# Event code 1 (SYN_CONFIG)
# Event code 2 (SYN_MT_REPORT)
# Event code 3 (SYN_DROPPED)
# Event code 4 ((null))
# Event code 5 ((null))
# Event code 6 ((null))
# Event code 7 ((null))
# Event code 8 ((null))
# Event code 9 ((null))
# Event code 10 ((null))
# Event code 11 ((null))
# Event code 12 ((null))
# Event code 13 ((null))
# Event code 14 ((null))
# Event type 1 (EV_KEY)
# Event code 272 (BTN_LEFT)
# Event code 273 (BTN_RIGHT)
# Event code 274 (BTN_MIDDLE)
# Event type 2 (EV_REL)
# Event code 0 (REL_X)
# Event code 1 (REL_Y)
# Properties:
# Property type 0 (INPUT_PROP_POINTER)
# Property type 5 (INPUT_PROP_POINTING_STICK)
N: TPPS/2 IBM TrackPoint
I: 0011 0002 000a 0000
P: 21 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 07 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 03 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
# Waiting for events #
################################
E: 0.000000 0002 0001 0001 # EV_REL / REL_Y 1
E: 0.000000 0000 0000 0000 # ------------ SYN_REPORT (0) ----------
E: 0.019310 0002 0000 0001 # EV_REL / REL_X 1
E: 0.019310 0000 0000 0000 # ------------ SYN_REPORT (0) ----------
E: 0.048622 0002 0001 0001 # EV_REL / REL_Y 1
E: 0.048622 0000 0000 0000 # ------------ SYN_REPORT (0) ----------
E: 0.068458 0002 0001 0001 # EV_REL / REL_Y 1
E: 0.068458 0000 0000 0000 # ------------ SYN_REPORT (0) ----------
E: 0.088470 0002 0000 0001 # EV_REL / REL_X 1
E: 0.088470 0000 0000 0000 # ------------ SYN_REPORT (0) ----------
E: 0.134325 0002 0001 0001 # EV_REL /...

Read more...

actually, can you attach the dmesg output here too please (as attachment). and while you're at it, please run libevdev's touchpad-edge-detector and see if the min/max of the touchpad matches what it claims. Thanks

Created attachment 112590
dmesg

[root@x1 ~]# touchpad-edge-detector /dev/input/event4
Touchpad SynPS/2 Synaptics TouchPad on /dev/input/event4
Move one finger around the touchpad to detect the actual edges
Kernel says: x [1266..5676], y [1096..4758]
Touchpad sends: x [1266..5677], y [1097..4760] -

well, at least that's some good news. the axis range is correct enough, but we need to take LEN0048 out of the INPUT_PROP_TOPBUTTONPAD list in the kernel. which should be fine, doesn't look like it's re-used (I think).

I'm experiencing the issue too, under Ubuntu 14.10. I'm happy to install something bleeding-edge on the laptop for experimentation; it's not like the laptop is terribly useful without working mouse buttons.

Given that middle-mouse button scrolling is implemented in the trackpoint driver, and the middle mouse button (when it works) will be firing in the synaptics driver, I'm guessing that even when the buttons are fixed, middle-mouse button scrolling will still be broken. Just like the 2014 refresh Lenovo laptops without hardware mouse buttons (see bug 70780).

Note that this bug currently affects upstream (kernel, libinput and xorg) and all distributions. In the interest of keeping the bug useful, please only CC yourself, do not comment that you have the same issue. We know you do.

We'll post updates once we figured out how to fix all this, please keep the noise on this bug to a minimum.

As a workaround you can force the psmouse driver to use the imps protocol. When using the imps protocol the buttons are mapped correctly. Further, the BIOS option to disable the touchpad is honored.

Of course you can't use the fancy Synaptic touchpad features, but I have no use for them anyway.

$ cat /etc/modprobe.d/psmouse.conf
options psmouse proto=imps

# evtest /dev/input/event5
Input driver version is 1.0.1
Input device ID: bus 0x11 vendor 0x2 product 0x1 version 0x0
Input device name: "PS/2 Synaptics TouchPad"
Supported events:
  Event type 0 (EV_SYN)
  Event type 1 (EV_KEY)
    Event code 272 (BTN_LEFT)
    Event code 273 (BTN_RIGHT)
    Event code 274 (BTN_MIDDLE)
  Event type 2 (EV_REL)
    Event code 0 (REL_X)
    Event code 1 (REL_Y)
Properties:
Testing ... (interrupt to exit)

$ xinput list-props 'PS/2 Synaptics TouchPad'
Device 'PS/2 Synaptics TouchPad':
 Device Enabled (135): 1
 Coordinate Transformation Matrix (137): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
 Device Accel Profile (256): 0
 Device Accel Constant Deceleration (257): 1.000000
 Device Accel Adaptive Deceleration (258): 1.000000
 Device Accel Velocity Scaling (259): 10.000000
 Device Product ID (252): 2, 1
 Device Node (253): "/dev/input/event5"
 Evdev Axis Inversion (260): 0, 0
 Evdev Axes Swap (262): 0
 Axis Labels (263): "Rel X" (145), "Rel Y" (146)
 Button Labels (264): "Button Left" (138), "Button Middle" (139), "Button Right" (140), "Button Wheel Up" (141), "Button Wheel Down" (142), "Button Horiz Wheel Left" (143), "Button Horiz Wheel Right" (144)
 Evdev Middle Button Emulation (265): 0
 Evdev Middle Button Timeout (266): 50
 Evdev Third Button Emulation (267): 0
 Evdev Third Button Emulation Timeout (268): 1000
 Evdev Third Button Emulation Button (269): 3
 Evdev Third Button Emulation Threshold (270): 20
 Evdev Wheel Emulation (271): 1
 Evdev Wheel Emulation Axes (272): 6, 7, 4, 5
 Evdev Wheel Emulation Inertia (273): 10
 Evdev Wheel Emulation Timeout (274): 200
 Evdev Wheel Emulation Button (275): 2
 Evdev Drag Lock Buttons (276): 0

(In reply to Matt Wilson from comment #9)
> As a workaround you can force the psmouse driver to use the imps protocol.
> When using the imps protocol the buttons are mapped correctly. Further, the
> BIOS option to disable the touchpad is honored.
>
> Of course you can't use the fancy Synaptic touchpad features, but I have no
> use for them anyway.
>
> $ cat /etc/modprobe.d/psmouse.conf
> options psmouse proto=imps

Exactly the configuration I wanted! Thanks for the tip Matt.

For those on Fedora, psmouse built in and not a module, so the approach is slightly different. You'll need to set it in /etc/default/grub and then update your grub config.

# grep psmouse /etc/default/grub
GRUB_CMDLINE_LINUX="rd.lvm.lv=vg00/swap rd.lvm.lv=vg00/root quiet psmouse.proto=imps"

# grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

Gabriel Zhi Chen (gabrielzchen) wrote :

This change was made by a bot.

Touchpad buttons could not work occurred on a lot of Lenovo platforms after 2014 year. Please refer to <https://bugs.launchpad.net/sutton/+bug/1363815>

tags: added: blocker-hwcert
tags: added: 201411-16196 beijing-lab
Gabriel Zhi Chen (gabrielzchen) wrote :

HWE team made a workaround here, but the behaviour of the buttons is different from normal. And the kdms will not be maintained. We need a Synaptics official driver.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Yung Shen (kaxing) on 2015-01-27
Changed in hwe-next:
status: New → Confirmed
Changed in hwe-next:
assignee: nobody → Liming Wang (wangliming)
Changed in linux (Ubuntu):
assignee: nobody → Liming Wang (wangliming)

Gabriel Zhi Chen / Liming Wang, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-3.XY-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-3.XY-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-1.02
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Yung Shen (kaxing) wrote :

Hey @Gabriel,

Can you also verify this issue with utopic(3.16) kernel?

You can enable proposed-trusty repository in Software Center -> Edit... -> Software Sources.. -> In "Updates" Tab

After update the database, then install this pacakge, "linux-image-generic-lts-utopic"

To see if this issue also exist.

Thank you!

Status update:
* missing middle button is a kernel bug
* touchpad marked with INPUT_PROP_TOPBUTTONPAD is a kernel bug
* handling the trackpoint buttons through the touchpad device will require userspace fixes, some combination of udev rules/hwdb and fixes in synaptics and libinput. Theoretically evdev too, though the touchpad parts in evdev are mostly untested.

Patches will be coming in the next couple of days, we're trying to get everything in place first so we can actually test all bits against each other.

I expect that the final outcome with synaptics will be similar to the T440: everything works except for middle button scrolling. libinput will just work fine.

Changed in linux:
importance: Unknown → Medium
status: Unknown → In Progress

systemd 219 is planned in about two weeks which will contain this.

Changed in systemd (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → Fix Committed

@Kaxing,

I tried to install linux-image-generic-lts-utopic 3.16.0.30.23 on Lenovo X1 3rd Carbon. After system reboot, the 3 keys of touchpad are still useless.

---------------------------------------------------------------------------

$ dpkg -l | grep linux-image
ii linux-image-3.13.0-45-generic 3.13.0-45.74 amd64 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
ii linux-image-3.16.0-30-generic 3.16.0-30.40~14.04.1 amd64 Linux kernel image for version 3.16.0 on 64 bit x86 SMP
ii linux-image-extra-3.13.0-45-generic 3.13.0-45.74 amd64 Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
ii linux-image-extra-3.16.0-30-generic 3.16.0-30.40~14.04.1 amd64 Linux kernel extra modules for version 3.16.0 on 64 bit x86 SMP
ii linux-image-generic 3.13.0.45.52 amd64 Generic Linux kernel image
ii linux-image-generic-lts-utopic 3.16.0.30.23 amd64 Generic Linux kernel image

$ uname -a
Linux X13rdCarbon 3.16.0-30-generic #40~14.04.1-Ubuntu SMP Thu Jan 15 17:43:14 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

----------------------------------------------------------------------------

Hi Peter,
I was finally able to get some time to recompile the various RPMs for F21 with the patches applied and test out the whole stack. I used the first iteration of the kernel patches posted to the mailing list, but it looks like those might change a little bit; either way, they work even if they're not the final version.

Aside from the issue below, the trackpoint buttons work as expected. Setting TouchpadOff=1 disables the touchpad for moving the cursor, but the clickpad buttons are still enabled. This seems to be the intended behavior based on synaptics(4), so I can live with it.

The X11 stack seems to work fine, but the hwdb entry is not tagging the device properly. By removing the "MatchTag" option from the xorg.conf.d file, everything worked as expected. For the hwdb update, I dropped the file in place and updated. Here is verification that the hwdb piece is in place but not working:

[root@x1 ~]# grep -v ^# /lib/udev/hwdb.d/70-touchpad.hwdb; udevadm trigger /dev/input/event5; udevadm info /dev/input/event5

touchpad:pnpid:*LEN0048*:
 TOUCHPAD_HAS_TRACKPOINT_BUTTONS=1
Extraneous argument: '/dev/input/event5'
P: /devices/platform/i8042/serio1/input/input5/event5
N: input/event5
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/platform/i8042/serio1/input/input5/event5
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=69
E: SUBSYSTEM=input
E: USEC_INITIALIZED=57845

(In reply to Aron Parsons from comment #14)
> The X11 stack seems to work fine, but the hwdb entry is not tagging the
> device properly. By removing the "MatchTag" option from the xorg.conf.d
> file, everything worked as expected. For the hwdb update, I dropped the
> file in place and updated. Here is verification that the hwdb piece is in
> place but not working:

Scratch that. I pulled in xorg-x11-drv-synaptics-1.8.1-2.fc21.x86_64 (http://koji.fedoraproject.org/koji/buildinfo?buildID=608494) which does not correctly include the xorg and udev configurations. Manually dropping those in place makes the whole set of proposed patches work.

the hwdb doesn't have effect on the synaptics driver bits, but if the files aren't installed correctly that's a fedora bug, please file it there and assign it to me.

Note you also need to udevadm control --reload-rules to make the hwdb work (and drop the matching 70-touchpad.rules file in place too).

(In reply to Peter Hutterer from comment #16)
> the hwdb doesn't have effect on the synaptics driver bits, but if the files
> aren't installed correctly that's a fedora bug, please file it there and
> assign it to me.
>
> Note you also need to udevadm control --reload-rules to make the hwdb work
> (and drop the matching 70-touchpad.rules file in place too).

Yep. You have a bug waiting for you on rhbz with the fixes attached.

Thanks for all the work on this Peter.

Ben Hearsum (bhearsum) wrote :

I'm hitting this on Ubuntu 14.10 as well. Out of the box, the left button generates button 4 events, the right button generates button 5 events, and the middle button generates nothing at all.

The situation improves a little bit by setting UpDownScrolling=0 ("synclient UpDownScrolling=0"), after which the left button generates a double left click and the right button generates a button 2 event. However, both buttons generates the press _and_release events right away - and no event is generated when the physical button is released.

tags: added: bios-outdated-1.04
removed: latest-bios-1.02
summary: - Buttons of Synaptics trackpad doesn't work
+ [Lenovo ThinkPad X1 Carbon 20BT] Buttons of Synaptics trackpad doesn't
+ work
Download full text (5.3 KiB)

This bug was fixed in the package systemd - 219-1ubuntu1

---------------
systemd (219-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - Hack to support system-image read-only /etc, and modify files in
      /etc/writable/ instead.
    - Keep our much simpler udev maintainer scripts (all platforms must
      support udev, no debconf).
    - initramfs init-top: Drop $ROOTDELAY, we do that in a more sensible way
      with wait-for-root. Will get applicable to Debian once Debian gets
      wait-for-root in initramfs-tools.
    - initramfs init-bottom: If LVM is installed, settle udev,
      otherwise we get missing LV symlinks. Workaround for LP #1185394.
    - Add debian/udev.lvm2.init: Dummy SysV init script to satisfy insserv
      dependencies to "lvm2" which is handled with udev rules in Ubuntu.
    - Provide shutdown fallback for upstart. (LP: #1370329)
    - debian/extra/ifup@.service: Additionally run for "auto" class. We don't
      really support "allow-hotplug" in Ubuntu at the moment, so we need to
      deal with "auto" devices appearing after "/etc/init.d/networking start"
      already ran. (LP: #1374521) Also, check if devices are actually defined
      in /etc/network/interfaces as we don't use Debian's net.agent.
    - ifup@.service: Drop dependency on networking.service (i. e.
      /etc/init.d/networking), and merely ensure that /run/network exists.
      This avoids unnecessary dependencies/waiting during boot and dependency
      cycles if hooks wait for other interfaces to come up (like ifenslave
      with bonding interfaces). (LP: #1414544)
    - Add Get-RTC-is-in-local-time-setting-from-etc-default-rc.patch: In
      Ubuntu we currently keep the setting whether the RTC is in local or UTC
      time in /etc/default/rcS "UTC=yes|no", instead of /etc/adjtime.
      (LP: #1377258)
    - Put session scopes into all cgroup controllers. This makes unprivileged
      user LXC containers work under systemd. (LP: #1346734)
    - Add systemd-fsckd multiplexer and feed its output to plymouth. This
      provides an aggregate progress report of running file system checks and
      also allows cancelling them with ^C.
      (LP: #1316796; Closes: #775093, #758902)
    - Lower Breaks: to plymouth version which has the udev inotify fix in
      Ubuntu.
    - Lower libappamor1 dep to the Ubuntu version where it moved to /lib.
    - Make failure of boot-and-services NSpawn.test_boot non-fatal for now.
      This currently fails when being triggered by Jenkins, but is totally
      unreproducible when running this manually on the exact same machine.

    Upgrade fixes, keep until 16.04 LTS release:
    - systemd Conflicts/Replaces/Provides systemd-services.
    - Remove obsolete systemd-logind upstart job.
    - Clean up obsolete /etc/udev/rules.d/README.

systemd (219-2) UNRELEASED; urgency=medium

  * Fix UTF-16 to UTF-8 conversion on big-endian machines. (Closes: #778654)
  * Disable new new test-sigbus, it fails on some buildds due to too old
    kernels. (part of #778654)
  * debian/README.Debian: Drop setfacl call for /var/log/journal, this is now
    done automatically by tmpfiles...

Read more...

Changed in systemd (Ubuntu):
status: Fix Committed → Fix Released

I'm not sure if this should get a separate issue, but on my new X250 the pnpid seems to be LEN0046 instead of LEN0048

cat /sys/devices/platform/i8042/serio1/firmware_id
PNP: LEN0046 PNP0f13

(In reply to Heiko Stuebner from comment #18)
> I'm not sure if this should get a separate issue, but on my new X250 the
> pnpid seems to be LEN0046 instead of LEN0048
>
> cat /sys/devices/platform/i8042/serio1/firmware_id
> PNP: LEN0046 PNP0f13

Yep, we know about it. See https://patchwork.kernel.org/patch/5820871/

BTW, with latest kernel submission, there should not be needed to patch libinput & synaptics. It's just been sitting on the list for a while now.

Changed in hwe-next:
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
assignee: nobody → walimis (walimis)
assignee: walimis (walimis) → Liming Wang (wangliming)
Changed in xserver-xorg-input-synaptics (Ubuntu Trusty):
assignee: nobody → Liming Wang (wangliming)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in xserver-xorg-input-synaptics (Ubuntu Trusty):
status: New → Confirmed
Changed in hwe-next:
status: Confirmed → In Progress

vivid has libinput 0.10

no longer affects: libinput (Ubuntu Trusty)
no longer affects: libinput (Ubuntu Utopic)
Changed in libinput (Ubuntu):
status: New → Fix Released
seth goldstein (seth-o) wrote :

I have a thinkpad T450s. The buttons do not work on it. How can I help?

Hi,

On the new T450s too we seem to have the same problem (same touchpad I think), I must use psmouse to get my touchpad working for the moment.

PNPID is :
cat /sys/devices/platform/i8042/serio1/firmware_id
PNP: LEN200f PNP0f13

Do you need more information?

Regards,

Hi,

we have the same issue regarding the firmware ID, as other reported earlier. We have new T550 systems, which have the following firmware ID:

# cat /sys/devices/platform/i8042/serio1/firmware_id
PNP: LEN002c PNP0f13

When adding a corresponding udev rule for this firmware ID to set the udev tag, the Xorg synaptics driver get configured correctly, and the buttons behave as they should.

Running openSUSE Tumbleweed with latest updates and having installed the Physical Buttons TrackPad/TouchPad on T440s. Tried many options, none work, incl. modifying /etc/X11/xorg.conf.d/files and using psmouse in imps and bare.

Here is some data that might help.

3.19.1-1-desktop #1 SMP
XOrg version 7.6_x.x
xf86-input-synaptics 1.8.1-1.3
xf86-input-evdev 2.9.1-1.1

cat /sys/devices/platform/i8042/serio1/firmware_id
PNP: LEN0036 PNP0f13

------------------------------

me@linux-oi3d:~> xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ SynPS/2 Synaptics TouchPad id=11 [slave pointer (2)]
⎜ ↳ TPPS/2 IBM TrackPoint id=12 [slave pointer (2)]

------------------------------

me@linux-oi3d:~> grep -B 5 mouse /proc/bus/input/devices
I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input2
U: Uniq=
H: Handlers=mouse0 event5
--
I: Bus=0011 Vendor=0002 Product=000a Version=0000
N: Name="TPPS/2 IBM TrackPoint"
P: Phys=synaptics-pt/serio0/input0
S: Sysfs=/devices/platform/i8042/serio1/serio2/input/input7
U: Uniq=
H: Handlers=mouse1 event6

----------------------------------

linux-oi3d:/home/me # dmidecode -t 21 report
# dmidecode 2.12
# SMBIOS entry point at 0xbcc0c000
SMBIOS 2.7 present.

Handle 0x0027, DMI type 21, 7 bytes
Built-in Pointing Device
        Type: Track Point
        Interface: PS/2
        Buttons: 3

Handle 0x0028, DMI type 21, 7 bytes
Built-in Pointing Device
        Type: Touch Pad
        Interface: PS/2
        Buttons: 2

--------------------------

me@linux-oi3d:~> xinput list-props "SynPS/2 Synaptics TouchPad" | grep Capabilities
        Synaptics Capabilities (300): 1, 0, 0, 1, 1, 1, 1

me@linux-oi3d:~> xinput list-props "TPPS/2 IBM TrackPoint" | grep Capabilities
no output, unlike Synaptic touchpad

--------------------------

Physical buttons generate events as BTN_0 and BTN_1 for Left and Right, for the SynPS/2 Touchpad and not the TPPS/2 TrackPoint; Middle Button is dead.

Status update:
The kernel patches are now in Dmitry's branch and queued for 4.0
https://git.kernel.org/cgit/linux/kernel/git/dtor/input.git/commit/?h=for-linus&id=6067fe5e0bf29f525561c8281d01011cfc9ebbd4

There will _not_ be a patch to the synaptics driver (or libinput). The kernel patches re-route the trackstrick buttons correctly so we don't need userspace to fix this up any. The commit that was already on the branch has been reverted, see:
http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/commit/?id=5378a020a003cbdfa565d43c9e01997b570059c9

For distributions: if you are partially backporting Benjamin's kernel patches make sure you either re-instate that synaptics commit or backport the button re-routing patches.

Looks like systemd 219-1ubuntu1 is required to resolve this bug, but 14.10 latest systemd is 208-8ubuntu8.2. What is the best way to get this enhancement applied?

klinge (rosgnilk) wrote :

Hi

I have the same problem on a T450s running ubuntu 14.04. i installed kernel 3.17 and 4.0rc4 nothing changed.

The fancy stuff is not important for me but if there is a solution could someone please explain stepp by stepp what to do. Ideal i want to switch off the trackpad an use only the trackpoint with its tree buttons.

seth goldstein (seth-u) wrote :

The following temporary hack will enable the trackpoint buttons and if the trackpad is disabled in the bios will also disable the trackpad. (I don't remember where I saw this, sorry for non-attribution)

sudo modprobe -rv psmouse; sudo modprobe -v psmouse proto=imps

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Utopic):
status: New → Confirmed
Changed in systemd (Ubuntu Trusty):
status: New → Confirmed
Changed in systemd (Ubuntu Utopic):
status: New → Confirmed
Changed in xserver-xorg-input-synaptics (Ubuntu Utopic):
status: New → Confirmed
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
Changed in linux:
importance: Medium → Low

no changes needed to the X driver

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Invalid
Changed in xserver-xorg-input-synaptics (Ubuntu Trusty):
status: Confirmed → Invalid
Changed in xserver-xorg-input-synaptics (Ubuntu Utopic):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
assignee: Liming Wang (wangliming) → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) wrote :

I've put an utopic kernel build here, can be tested on trusty too:

http://people.canonical.com/~tjaalton/utopic-fix/

Timo Aaltonen (tjaalton) wrote :

It includes the upstream commits plus BDW i915 bugfixes for bug 1434514

GH (chili-g) wrote :

@Timo thanks for the build but it hangs booting for me on a t450s on 14.04.2.
Just hangs on a gray screen after I pick Ubuntu from the boot menu.

Julian (jupian) on 2015-03-27
no longer affects: linux-lts-vivid (Ubuntu)
tags: added: vivid
GH (chili-g) wrote :

Sorry for the total noob question - I'm unclear on the terminology but would like to test this. @Julian, does lts-vivid mean it's a 3.19 kernel that would work on 14.04.2 - or is it just vivid - maybe available in the Beta 2 today?

GH (chili-g) wrote :

@Timo fwiw, it hangs on "Unsupported brightness interface, please contact <email address hidden>".
This is a T450s on 14.04.2 with the kernel build you posted.

Timo Aaltonen (tjaalton) wrote :

did you install both packages?

summary: - [Lenovo ThinkPad X1 Carbon 20BT] Buttons of Synaptics trackpad doesn't
- work
+ [Lenovo ThinkPad 2015 models] Buttons of Synaptics trackpad doesn't work
Julian (jupian) wrote :

@chili-g I wanted to point out that this bug also affects the latest 3.19.0-10 kernel which comes with vivid.
A was also unclear about the terminology and i found out that it is always assumed that a bug affects the latest version of ubuntu. Because of that i reverted my change ;)

GH (chili-g) wrote :

@Timo, yes I installed both packages. I went to 15.04 beta 2 yesterday and so far haven't seen any graphics issues, but the touchpad issue exists (as @Julian indicates). For now I'll probably stick with that and one of the touchpad workarounds I can live with for now, under the assumption that 15.04 is the most likely to see the fix first.

Timo Aaltonen (tjaalton) wrote :

you can find a preliminary 3.19.0-11 here, which includes the patches:

https://launchpad.net/~ubuntu-kernel-test/+archive/ubuntu/devel

GH (chili-g) wrote :

@Timo, That latest patch is very promising! Touchpad is working perfectly! 2-finger scrolls, scroll button, touchpointer, etc.
Strangely, on my t450s, the wifi and my external display don't work now though. It doesn't recognize that I have an external display attached (in the gnome display settings UI at least). Rebooting back to 3.19.0-10 and they are working again.
I didn't notice an obvious errors in syslog, but if there's something I can check or post to help test let me know.
Thanks again for the effort.

Timo Aaltonen (tjaalton) on 2015-04-01
no longer affects: xserver-xorg-input-synaptics (Ubuntu)
no longer affects: xserver-xorg-input-synaptics (Ubuntu Trusty)
no longer affects: xserver-xorg-input-synaptics (Ubuntu Utopic)
Timo Aaltonen (tjaalton) wrote :

if you have a hybrid machine using nvidia, you'd need headers too for the nvidia dkms build.. there should be no other reason for the breakage though

Changed in hwe-next:
assignee: Liming Wang (wangliming) → Timo Aaltonen (tjaalton)
Changed in linux (Ubuntu Trusty):
assignee: Liming Wang (wangliming) → Timo Aaltonen (tjaalton)
Changed in linux (Ubuntu Utopic):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-11.11

---------------
linux (3.19.0-11.11) vivid; urgency=low

  [ Andy Whitcroft ]

  * [Config] add nvme to linux-virtual as this is now used in GCE to expose
    disks
    - LP: #1415580
  * [Packaging] module-inclusion -- commonise copy code and simplify
  * [Packaging] module-inclusion -- add manual command entries
  * [Packaging] module blacklists -- add support for manual blacklists
  * [Config] re-enable OSS support and blacklist
    - LP: #1434842
  * [Config] exclude oss modules from linux-image
    - LP: #1434842
  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR needs to match on armhf and arm64
    - LP: #1418140
  * rebase to v3.19.3

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1438852

  [ Paolo Pisati ]

  * [Config] armhf: JUMP_LABEL=y
  * [Config] armhf: ARM_KERNMEM_PERMS=y && DEBUG_RODATA=y

  [ Upstream Kernel Changes ]

  * powercap / RAPL: handle domains with different energy units
  * x86/platform, acpi: Bypass legacy PIC and PIT in ACPI hardware reduced
    mode
  * cpuidle: powernv: Read target_residency value of idle states from DT if
    available
    - LP: #1435951
  * cpuidle: powernv: Avoid endianness conversions while parsing DT
    - LP: #1435951
  * tick/broadcast-hrtimer : Fix suspicious RCU usage in idle loop
    - LP: #1435951
  * tick/hotplug: Handover time related duties before cpu offline
    - LP: #1435951
  * Input: synaptics - split synaptics_resolution(), query first
    - LP: #1414930
  * Input: synaptics - log queried and quirked dimension values
    - LP: #1414930
  * Input: synaptics - query min dimensions for fw v8.1
    - LP: #1414930
  * Input: synaptics - remove obsolete min/max quirk for X240
    - LP: #1414930
  * Input: synaptics - support min/max board id in min_max_pnpid_table
    - LP: #1414930
  * Input: synaptics - skip quirks when post-2013 dimensions
    - LP: #1414930
  * Input: synaptics - fix middle button on Lenovo 2015 products
    - LP: #1414930
  * Input: synaptics - handle spurious release of trackstick buttons
    - LP: #1414930
  * Input: synaptics - do not retrieve the board id on old firmwares
    - LP: #1414930
  * Input: synaptics - retrieve the extended capabilities in query $10
    - LP: #1414930
  * Input: synaptics - remove TOPBUTTONPAD property for Lenovos 2015
    - LP: #1414930
  * Input: synaptics - re-route tracksticks buttons on the Lenovo 2015
    series
    - LP: #1414930
  * Input: synaptics - remove X1 Carbon 3rd gen from the topbuttonpad list
    - LP: #1414930
  * Input: synaptics - remove X250 from the topbuttonpad list
    - LP: #1414930
  * ARM: 8311/1: Don't use is_module_addr in setting page attributes
  * kernel/module.c: Update debug alignment after symtable generation
  * arm64: Don't use is_module_addr in setting page attributes
  * rebase to v3.19.3
 -- Leann Ogasawara <email address hidden> Tue, 31 Mar 2015 11:48:41 -0700

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
klinge (rosgnilk) wrote :

@GH (chili-g) and Timo
I have a T450s and ubuntu 14.04 and tried kernel 3.19.0-11.11 and 3.19.0-12.12. I experienced the same strange issues wit wifi in the sense that it just didn't exist any more.

When I tried kernel 3.19, I also lost wifi. Using the iwlwifi firmware
from the 3.18 kernel fixed it, though.

On Fri, Apr 3, 2015 at 2:55 PM klinge <email address hidden> wrote:

> @GH (chili-g) and Timo
> I have a T450s and ubuntu 14.04 and tried kernel 3.19.0-11.11 and
> 3.19.0-12.12. I experienced the same strange issues wit wifi in the sense
> that it just didn't exist any more.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1414930
>
> Title:
> [Lenovo ThinkPad 2015 models] Buttons of Synaptics trackpad doesn't
> work
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1414930/+subscriptions
>

klinge (rosgnilk) wrote :

@ Adam Olsen
how do you use the iwlwifi firmware from the 3.18 kernel? A quick search didn't give me any hints.
Thanks and greetings k

menie (menie482) wrote :

I am on X1 Carbon. I have tried kernel 3.19.3. The button issue is not fixed and I lost wifi.

My current kernel is 3.16.0, and the only issue is the touchpad buttons.

menie (menie482) wrote :

tried kernel 4.0-rc6. The touchpad button issue is fixed, but wifi is still lost..

Urban Engberg (uengberg) wrote :

I am on an X1 Carbon, third generation (20BS006BMD) running 3.19.0-12-generic and can confirm that the button issue *is* fixed for me, and I do *not* have any problems with WiFi.

menie (menie482) wrote :

This is X1 Carbon, 3rd gen.

Tried 3.19.0-12-generic. Button issue is fixed for me. No problem with WiFi. But the brightness control breaks (stays at maximum brightness) =_=

Timo Aaltonen (tjaalton) wrote :

brightness regression is bug 1440270

of course I don't have that with any of the laptops I have :/

Fluepke (fluepke) wrote :

I have a T450s running kernel 4.0.0-040000rc7-generic.
Buttons do work. Wifi initially did not work.
I had to manually download the appropriate .ucode file from https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi and copy it into my /lib/firmware folder.

menie (menie482) wrote :

v4.0-rc7-vivid works perfectly on my X1 Carbon 3rd gen!

Although a virtualbox guest (win 10) freezes when starting, but this is not urgent.

Hannes Erven (hannes-erven) wrote :

VirtualBox seems to be a different story. Try adding "nosmap" to the kernel command line (see http://askubuntu.com/questions/581301/virtualbox-stuck-on-starting-virtual-machine ), that worked for me.

GH (chili-g) wrote :

Confirming t450s
Ubutu 15.04 beta 2 latest mainline updates (not the kernel-test ppa)
3.19.0-12-generic #12-Ubuntu SMP Fri Apr 3 04:03:26 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Everything working great!
2-finger scroll
middle button scroll
all buttons
keyboard backlight
screen brightness
wifi
external monitor recognized
and no graphical corruption on external monitor

Thanks all for ironing it all out before the release!

menie (menie482) wrote :

@hannes-erven thanks so much! It works for me. I had been goggling around and didn't find a solution.

Jay (jaytula) wrote :

mainline kernel 4.0.0-040000rc7-generic fixed trackpoint issues for me. (on Ubuntu 12.04 LTS)

Separate issue but I also use an external "Lenovo ThinkPad Compact USB Keyboard with TrackPoint" and middle scrolling did not work out-of-the-box . set-prop "Evdev Wheel Emulation Button" to 4 fixed this. The integrated keyboard was differently set to 2.

I did not directly set this but changed the MatchProduct in /usr/share/X11/xorg.conf.d/11-evdev-trackpoint.conf to be more specific "IBM TrackPoint|DualPoint Stick" and the non-matched Compact Trackpoint Keyboard fallback defaulted to "4" for EmulateWheelButton.

Cindy Quach (cindyq) wrote :

@Timo, I also tested the Utopic kernel build and am getting the same issue as GH, there is a blank screen after the GRUB menu. I'm unable to TTY or check into any logs. Also installed both packages. Installed the kernel on Trusty on a Lenovo X250

kernel 4.0 has been released it contains all required fixes. closing.

Changed in linux:
status: In Progress → Fix Released
Ross Grady (0iq-ross) wrote :

Is this kernel patch going to be backported to Trusty LTS? If so, will that be sooner or later? I have 24 machines to set up, and 15.04 isn't a supported config at my workplace because they only support LTS releases.

Thanks!

Timo Aaltonen (tjaalton) wrote :

It's not one patch but a series of seven patches which depend on other functionality to be backported..

The prep patches have been accepted to the next 3.13 point release which will be released next week. Then that will be merged with the trusty git tree, and the actual patches can be added. The result will be pushed to proposed by first week of May, and it'll take 2-3 weeks from that to reach -updates...

Andrej Krutak (andree182) wrote :

For anyone, who cannot/doesn't want to wait month or two more, I did a quick backport of the 4.0 driver for 3.16 kernel (https://github.com/andree182/psmouse-dkms-alpsv7 , just call install.sh). Both trackpoint and touchpad appears to work fine. Hopefully this will work out of box later even with the official kernel...

Luis Henriques (henrix) on 2015-05-07
Changed in linux (Ubuntu Utopic):
status: Confirmed → Fix Committed
Andy Whitcroft (apw) on 2015-05-07
Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Committed
Cindy Quach (cindyq) on 2015-05-07
Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

please don't close bugs manually, the trusty kernel isn't in -updates yet

Changed in linux (Ubuntu Trusty):
status: Fix Released → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty verification-needed-utopic

i have a lenovo t450s and following kernel:
3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
now the trackpad buttons working well

Timo Aaltonen (tjaalton) wrote :

thanks for testing, adjusted the tag

tags: added: verification-done-utopic
removed: verification-needed-utopic
Sven Mueller (smu-u) wrote :

Actually, Markus tested Trusty, not Utopic:
3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64
14.04.1 is the Trusty version, not Utopic. Therefor adding verification-needed-utopic back and adding verification-done-trusty.

tags: added: verification-done-trusty verification-needed-utopic
removed: verification-done-utopic verification-needed-trusty
Timo Aaltonen (tjaalton) wrote :

wrong, it's identical to the kernel in utopic... trusty verification needs to be done with stock trusty kernel

tags: added: verification-done-utopic verification-needed-trusty
removed: verification-done-trusty verification-needed-utopic
klinge (rosgnilk) wrote :

I tested trusty 3.16.0-38.52~14.04.1. The buttons work (but I prefere their behoviour with: modprobe -rv psmouse; modprobe -v psmouse proto=imps). Graphic issues still exist. So I go back to mainline kernel.

Liming Wang (wangliming) wrote :

I tested trusty with the -proposed kernel 3.13.0-53, the buttons of touchpad work well.

Timo Aaltonen (tjaalton) on 2015-05-14
tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (16.1 KiB)

This bug was fixed in the package linux - 3.13.0-53.88

---------------
linux (3.13.0-53.88) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1454785

  [ Upstream Kernel Changes ]

  * mmc: card: Don't access RPMB partitions for normal read/write
    - LP: #1454013

linux (3.13.0-53.87) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1452736

  [ dann frazier ]

  * [Config] CONFIG_{EFI_PARAMS_FROM_FDT,GENERIC_EARLY_IOREMAP,LIBFDT}=y
    - LP: #1441876
  * Move get_dram_base to arm private file
    - LP: #1441876
  * arm64: Implement efi_enabled()
    - LP: #1441876
  * [Config] CONFIG_RTC_DRV_EFI=y on arm64
    - LP: #1441291

  [ Kamal Mostafa ]

  * Fix "mei: me: release hw from reset only during the reset flow"
    - LP: #1450813

  [ Stefan Bader ]

  * SAUCE: vesafb: Set mtrr:3 (write-combining) as default
    - LP: #1434581

  [ Upstream Kernel Changes ]

  * Revert "net: cx82310_eth: use common match macro"
    - LP: #1451900
  * netfilter: nf_conntrack: reserve two bytes for nf_ct_ext->len
    - LP: #1442080
    - CVE-2014-9715
  * add generic fixmap.h
    - LP: #1441876
  * mm: create generic early_ioremap() support
    - LP: #1441876
  * arm64: initialize pgprot info earlier in boot
    - LP: #1441876
  * arm64: add early_ioremap support
    - LP: #1441876
  * arm64: fixmap: fix missing sub-page offset for earlyprintk
    - LP: #1441876
  * efi: create memory map iteration helper
    - LP: #1441876
  * efi: Add get_dram_base() helper function
    - LP: #1441876
  * lib: add fdt_empty_tree.c
    - LP: #1441876
  * doc: efi-stub.txt updates for ARM
    - LP: #1441876
  * efi: add helper function to get UEFI params from FDT
    - LP: #1441876
  * arm64: Add function to create identity mappings
    - LP: #1441876
  * efi: Add shared FDT related functions for ARM/ARM64
    - LP: #1441876
  * arm64: add EFI runtime services
    - LP: #1441876
  * doc: arm: add UEFI support documentation
    - LP: #1441876
  * arm64: efi: add EFI stub
    - LP: #1441876
  * doc: arm64: add description of EFI stub support
    - LP: #1441876
  * efi/arm64: ignore dtb= when UEFI SecureBoot is enabled
    - LP: #1441876
  * arm64: efi: only attempt efi map setup if booting via EFI
    - LP: #1441876
  * PCI: Don't clear ASPM bits when the FADT declares it's unsupported
    - LP: #1441335
  * regmap: Skip read-only registers in regcache_sync()
    - LP: #1448830
  * rtc: ia64: allow other architectures to use EFI RTC
    - LP: #1441291
  * rtc: Disable EFI rtc for x86
    - LP: #1441291
  * mei: me: fix hw ready reset flow
    - LP: #1450813
  * Input: serio - add firmware_id sysfs attribute
    - LP: #1414930
  * Input: i8042 - add firmware_id support
    - LP: #1414930
  * Input: Add INPUT_PROP_TOPBUTTONPAD device property
    - LP: #1414930
  * Input: synaptics - report INPUT_PROP_TOPBUTTONPAD property
    - LP: #1414930
  * Input: synaptics - add a matches_pnp_id helper function
    - LP: #1414930
  * Input: synaptics - change min/max quirk table to pnp-id matching
    - LP: #1414930
  * Input: psmouse - add psmouse_matches_pnp_id helper function
    - LP: #1414930
  * Input: synaptics - split synapt...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.9 KiB)

This bug was fixed in the package linux - 3.16.0-38.52

---------------
linux (3.16.0-38.52) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1452623

  [ Stefan Bader ]

  * SAUCE: vesafb: Set mtrr:3 (write-combining) as default
    - LP: #1434581

  [ Upstream Kernel Changes ]

  * regmap: Skip read-only registers in regcache_sync()
    - LP: #1448830
  * fuse: notify: don't move pages
    - LP: #1449548
  * fuse: set stolen page uptodate
    - LP: #1449548
  * dm thin: fix to consistently zero-fill reads to unprovisioned blocks
    - LP: #1449548
  * dm: hold suspend_lock while suspending device during device deletion
    - LP: #1449548
  * dm snapshot: suspend origin when doing exception handover
    - LP: #1449548
  * dm snapshot: suspend merging snapshot when doing exception handover
    - LP: #1449548
  * dm io: deal with wandering queue limits when handling REQ_DISCARD and
    REQ_WRITE_SAME
    - LP: #1449548
  * crypto: arm/aes update NEON AES module to latest OpenSSL version
    - LP: #1449548
  * mac80211: drop unencrypted frames in mesh fwding
    - LP: #1449548
  * mac80211: disable u-APSD queues by default
    - LP: #1449548
  * ASoC: ak4671: Fix control-less DAPM routes
    - LP: #1449548
  * ASoC: da732x: Fix control-less DAPM routes
    - LP: #1449548
  * ASoC: sn95031: Fix control-less DAPM routes
    - LP: #1449548
  * virtio_console: init work unconditionally
    - LP: #1449548
  * virtio_console: avoid config access from irq
    - LP: #1449548
  * clocksource: efm32: Fix a NULL pointer dereference
    - LP: #1449548
  * clockevents: sun5i: Fix setup_irq init sequence
    - LP: #1449548
  * x86/vdso: Fix the build on GCC5
    - LP: #1449548
  * ASoC: sgtl5000: remove useless register write clearing CHRGPUMP_POWERUP
    - LP: #1449548
  * regmap: regcache-rbtree: Fix present bitmap resize
    - LP: #1449548
  * regulator: Only enable disabled regulators on resume
    - LP: #1449548
  * regulator: core: Fix enable GPIO reference counting
    - LP: #1449548
  * Input: psmouse - add psmouse_matches_pnp_id helper function
    - LP: #1449548
  * Input: synaptics - split synaptics_resolution(), query first
    - LP: #1449548
  * Input: synaptics - log queried and quirked dimension values
    - LP: #1449548
  * Input: synaptics - query min dimensions for fw v8.1
    - LP: #1449548
  * Input: synaptics - remove obsolete min/max quirk for X240
    - LP: #1449548
  * Input: synaptics - support min/max board id in min_max_pnpid_table
    - LP: #1449548
  * Input: synaptics - skip quirks when post-2013 dimensions
    - LP: #1449548
  * Input: synaptics - fix middle button on Lenovo 2015 products
    - LP: #1449548
  * Input: synaptics - handle spurious release of trackstick buttons
    - LP: #1449548
  * Input: synaptics - do not retrieve the board id on old firmwares
    - LP: #1449548
  * vt6655: RFbSetPower fix missing rate RATE_12M
    - LP: #1449548
  * x86/asm/entry/32: Fix user_mode() misuses
    - LP: #1449548
  * ASoC: adav80x: Fix wrong value references for boolean kctl
    - LP: #1449548
  * ASoC: ak4641: Fix wrong value references for boolean kctl
    - LP: #1449548
  * ASoC: cs4271: Fix wrong...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2015-07-22
Changed in hwe-next:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.